FreeMat

- Main Page
- Related Pages

vtkPPolyDataNormals

Section: Visualization Toolkit Parallel Classes

# Usage

To create an instance of class vtkPPolyDataNormals, simply invoke its constructor as follows

      obj = vtkPPolyDataNormals

# Methods

The class vtkPPolyDataNormals has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPPolyDataNormals class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPPolyDataNormals = obj.NewInstance ()`
- `vtkPPolyDataNormals = obj.SafeDownCast (vtkObject o)`
- `obj.SetPieceInvariant (int )` - To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.
- `int = obj.GetPieceInvariant ()` - To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.
- `obj.PieceInvariantOn ()` - To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.
- `obj.PieceInvariantOff ()` - To get piece invariance, this filter has to request an extra ghost level. By default piece invariance is on.